import 'package:flutter/material.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/rendering.dart';

import 'package:spartathlon_app/AppStateContainer.dart';
import 'package:spartathlon_app/views/MainPage.dart';
import 'package:spartathlon_app/util/Themes.dart';

/// Main framework for Spartathlon app
void main() {
  debugPaintSizeEnabled = false;
  // AppStateContainer needs to be above the MaterialApp in order to be
  // available across routes. See:
  // https://stackoverflow.com/questions/49968817/flutter-inherited-widget-and-routes
  runApp(
    AppStateContainer(child: Main()),
  );
}

class Main extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return FutureBuilder<ThemeData>(
      future: AppStateContainer.of(context).loadTheme(),
      builder: (BuildContext context, AsyncSnapshot<ThemeData> snapshot) {
        if (snapshot.hasData) {
          print('Starting app');

          return MaterialApp(
            title: 'Spartathlon',
            theme: snapshot.data,
            home: MainPage(),
          );
        } else {
          return Container(color: spartaBlue);
        }
      },
    );
  }
}
