import 'package:flutter/material.dart';
import 'package:flutter_sticky_header/flutter_sticky_header.dart';

import 'package:spartathlon_app/models/Athlete.dart';
import 'package:spartathlon_app/widgets/FavAthleteCard.dart';
import 'package:spartathlon_app/widgets/IconListDivider.dart';

class FavoriteAthletesSlider extends StatelessWidget {

  final double maxCardSize = 212;
  final List<Athlete> favoriteAthletes;

  const FavoriteAthletesSlider({Key key, this.favoriteAthletes}) : super(key: key);

  @override
  Widget build(BuildContext context) {

    if (favoriteAthletes.isEmpty)
      return SliverToBoxAdapter(child: Container());

    return SliverStickyHeaderBuilder(
      builder: (_, state) => IconListDivider(state, Icon(Icons.directions_run)),
      sliver: SliverToBoxAdapter(
        child: Container(
          height: maxCardSize,
          child: ListView.builder(
            scrollDirection: Axis.horizontal,
            padding: EdgeInsets.all(5.0),
            itemCount: favoriteAthletes.length,
            itemBuilder: (_, i) => FavAthleteCard(favoriteAthletes[i], maxCardSize),
          ),
        ),
      ),
    );
  }
}